# Record Class CAMetadataValueMatchType.TextMatchType.Search

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMetadataValueMatchType.TextMatchType.Search

Record Components:
  `query` - The search query

All Implemented Interfaces:
  `CAMetadataValueMatchType`, `CAMetadataValueMatchType.TextMatchType`

Enclosing interface:
  `CAMetadataValueMatchType.TextMatchType`

public static record CAMetadataValueMatchType.TextMatchType.Search(String query) extends Record implements CAMetadataValueMatchType.TextMatchType
Match metadata of a text type that matches the given search query.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataValueMatchType

  `CAMetadataValueMatchType.AnyValue, CAMetadataValueMatchType.IntegralMatchType, CAMetadataValueMatchType.MonetaryMatchType, CAMetadataValueMatchType.RealMatchType, CAMetadataValueMatchType.TextMatchType, CAMetadataValueMatchType.TimeMatchType`

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataValueMatchType.TextMatchType

  `CAMetadataValueMatchType.TextMatchType.ExactTextValue, CAMetadataValueMatchType.TextMatchType.Search`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Search(String query)`
  Match metadata of a text type that matches the given search query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `query()`
  Returns the value of the `query` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Search

    public Search(String query)
    Match metadata of a text type that matches the given search query.
    Parameters:
      `query` - The search query

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### query

    public String query()
    Returns the value of the `query` record component.
    Returns:
      the value of the `query` record component